GSMSMSSTORE(8)

NAME
gsmsmsstore - SMS store manipulation program

SYNOPSIS
gsmsmsstore [ -a ] [ --add ] [ -b baudrate ] [ --baudrate baudrate ] [ -c ] [ --copy ] [ -C service centre address ] [ --sca service centre address ] [ -d destination device or file ] [ --destination destination device or file ] [ -h ] [ --help ] [ -I init string ] [ --init init string ] [ -k ] [ --backup ] [ -l ] [ --list ] [ -s source device or file ] [ --source source device or file ] [ -t SMS store name ] [ --store SMS store name ] [ -v ] [ --version ] [ -V ] [ --verbose ] [ -x ] [ --delete ] [ -X ] [ --xonxoff ] { indices } [ phonenumber text ]

DESCRIPTION
gsmsmsstore can store or retrieve SMS messages entries residing in a GSM mobile phone's SMS store to or from a file, add SMS messages to a store, or list the store's contents. Additionally, it is possible to add SMS submit messages to a store.

gsmsmsstore reads entries from the source which can be a mobile phone (if a serial device file is given) or a file (if a file name is given). The source is never modified. gsmsmsstore writes SMS messages to a destination file or device in the case of --copy, --backup, and --add.

The --list option does not change any file but just lists the contents to standard output.

The --backup and --copy options require both source and destination files or devices. The --list option requires a source. The --add and --delete options require a destination file or device.

If "-" is given as the parameter for the --source or --destination options, the SMS store is read from standard input and/or written to standard output, respectively.

SMS message files are not human-readable.

Error messages are printed to the standard error output. If the program terminates on error the error code 1 is returned.

OPTIONS

-a, --add
    Adds an SMS submit message with recipient address phonenumber and text text to the destination.

-b baudrate, --baudrate baudrate
    The baud rate to use. The default baudrate is 38400.

-c, --copy
    This causes the contents of the source to be copied to the destination. After this operation the destination has exactly the same contents as the source. If indices are given on the command line only those SMS messages denoted by the indices are copied to the destination.

-C service centre address, --sca service centre address
    Sets the service centre address to use for all SUBMIT SMSs (may not work with some phones).

-d destination, --destination destination
    The destination device or file.

-h, --help
    Prints an option summary.

-I init string, --init init string
    Initialization string to send to the TA (default: "E0"). Note that the sequence "ATZ" is sent first.

-k, --backup
    This causes those entries to be added from the source to the destination that are not already present in the destination. If indices are given on the command line only those SMS messages denoted by the indices are backed up (ie. added) to the destination.

-l, --list
    Prints out the entire contents of the source in human-readable form.

-s source, --source source
    The source device or file.

-t SMS store name, --store SMS store name
    The name of the SMS store to read from or write to. This information is only used for device sources and destinations. A commonly available message store is "SM" (SIM card).

-v, --version
    Prints the program version.

-V, --verbose
    Prints out a detailed progress report.

-x, --delete
    Delete the SMS messages as denoted by the indices from the destination.

-X, --xonxoff
    Uses software handshaking (XON/XOFF) for accessing the device.

EXAMPLES
The following command lists all entries in the mobile phone connected to /dev/mobilephone to the standard output:

gsmsmsstore -b 19200 -s /dev/mobilephone -t SM -l

The following adds entries 4, 7, and 10 from the device /dev/mobilephone to the file smsstore:

gsmsmsstore -s /dev/mobilephone -d /home/fred/smsstore
    -t SM -b 4 7 10

AUTHOR
Peter Hofmann <software@pxh.de>

BUGS
Report bugs to software@pxh.de. Include a complete, self-contained example that will allow the bug to be reproduced, and say which version of gsmsmsstore you are using.

COPYRIGHT
Copyright © 1999 Peter Hofmann

gsmsmsstore is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

gsmsmsstore is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with gsmsmsstore; see the file COPYING. If not, write to the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

SEE ALSO
gsminfo(7), gsmctl(1), gsmpb(1), gsmsendsms(1), gsmsmsd(8).